summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer/zabbix/files/1.4.6/init.d/zabbix-agentd')
-rw-r--r--net-analyzer/zabbix/files/1.4.6/init.d/zabbix-agentd22
1 files changed, 22 insertions, 0 deletions
diff --git a/net-analyzer/zabbix/files/1.4.6/init.d/zabbix-agentd b/net-analyzer/zabbix/files/1.4.6/init.d/zabbix-agentd
new file mode 100644
index 000000000000..af8eaa5cff33
--- /dev/null
+++ b/net-analyzer/zabbix/files/1.4.6/init.d/zabbix-agentd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+depend() {
+ need net
+ provide zabbix-agent
+ use zabbix-server
+}
+
+start() {
+ ebegin "Starting Zabbix agent"
+ start-stop-daemon --start --user zabbix --group zabbix --exec /usr/sbin/zabbix_agentd
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Zabbix agent"
+ start-stop-daemon --stop --pidfile /var/run/zabbix/zabbix_agentd.pid
+ eend $?
+}